# Router Integration Helper API

## Generate Request Header

> This API generates request headers required to call Router.<br>

```json
{"openapi":"3.0.3","info":{"title":"Router Integration Helper APIs","version":"1.0.0"},"servers":[{"url":"https://api.sandbox.sahamati.org.in/router-helper/v1"}],"paths":{"/request/header":{"post":{"summary":"Generate Request Header","description":"This API generates request headers required to call Router.\n","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["rebitAPIEndpoint","recipientId","customerId","requestBody"],"properties":{"rebitAPIEndpoint":{"type":"string"},"recipientId":{"type":"string"},"customerId":{"type":"string"},"additionalAttributes":{"type":"object"},"requestBody":{"type":"object","required":["ver","timestamp","txnid","Customer","FITypes"],"properties":{"ver":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"txnid":{"type":"string"},"Customer":{"type":"object","required":["id"],"properties":{"id":{"type":"string"},"Identifiers":{"type":"array","items":{"type":"object","required":["category","type","value"],"properties":{"category":{"type":"string"},"type":{"type":"string"},"value":{"type":"string"}}}}}},"FITypes":{"type":"array","items":{"type":"string"}}}}}}}}},"responses":{"200":{"description":"Successfully generated request header","content":{"application/json":{}}},"401":{"description":"Unauthorized – invalid or missing Bearer token","content":{"application/json":{}}},"404":{"description":"Bad request – invalid payload","content":{"application/json":{}}}}}}}}
```

## Generate Response Header

> This API generates response headers that can be used while sending data back to Router APIs.<br>

```json
{"openapi":"3.0.3","info":{"title":"Router Integration Helper APIs","version":"1.0.0"},"servers":[{"url":"https://api.sandbox.sahamati.org.in/router-helper/v1"}],"paths":{"/response/header":{"post":{"summary":"Generate Response Header","description":"This API generates response headers that can be used while sending data back to Router APIs.\n","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["rebitAPIEndpoint","recipientId","responseBody"],"properties":{"rebitAPIEndpoint":{"type":"string"},"recipientId":{"type":"string"},"additionalAttributes":{"type":"object"},"responseBody":{"type":"object","required":["ver","timestamp","txnid","DiscoveredAccounts"],"properties":{"ver":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"txnid":{"type":"string"},"DiscoveredAccounts":{"type":"array","items":{"type":"object","required":["FIType","accType","accRefNumber","maskedAccNumber"],"properties":{"FIType":{"type":"string"},"accType":{"type":"string"},"accRefNumber":{"type":"string"},"maskedAccNumber":{"type":"string"}}}}}}}}}}},"responses":{"200":{"description":"Successfully generated response header","content":{"application/json":{}}},"401":{"description":"Unauthorized – invalid or missing Bearer token","content":{"application/json":{}}},"404":{"description":"Bad request – invalid payload","content":{"application/json":{}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.sahamati.org.in/sahamatinet-mvp/integration-steps/integration-with-router/observability-through-router/router-integration-helper-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
